declare const _sfc_main: import("vue").DefineComponent<{
    mapJson: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            path: string;
        }>;
        default?: {
            name: string;
            value: string;
            path: string;
        };
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    backgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundImageRepeat: {
        type?: import("vue").PropType<"repeat" | "no-repeat" | "repeat-x" | "repeat-y">;
        default?: "repeat" | "no-repeat" | "repeat-x" | "repeat-y";
    };
    symbolImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    symbolWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    symbolHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoZoom: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoRoam: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoCenter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoBackgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoBackgroundImageRepeat: {
        type?: import("vue").PropType<"repeat" | "no-repeat" | "repeat-x" | "repeat-y">;
        default?: "repeat" | "no-repeat" | "repeat-x" | "repeat-y";
    };
    geoLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoLabelFontSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleAreaColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleBorderWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleShadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoEmphasisDisabled: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoEmphasisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoEmphasisItemStyleAreaColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoEmphasisItemStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelFontSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipRequestData: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    tooltipBackgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleKeyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    mapAreaStyleConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<"left" | "right">;
        default?: "left" | "right";
    };
    legendTop: {
        type?: import("vue").PropType<"top" | "bottom">;
        default?: "top" | "bottom";
    };
    legendOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    mapLegendType: {
        type?: import("vue").PropType<"circle" | "rect">;
        default?: "circle" | "rect";
    };
    legendTextShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTitle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTitleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTitleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFrontText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendAfterText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendBoxShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    option: import("vue").ComputedRef<{
        tooltip: {
            show: boolean;
        };
        graphic: {
            type: string;
            style: {
                width: number;
                height: number;
                image: string;
            };
            top: string;
        }[];
        geo: {
            zoom: number;
            roam: boolean;
            center: any[];
            map: string;
            selectedMode: string;
            tooltip: {
                show: boolean;
                trigger: string;
                backgroundColor: string;
                borderColor: string;
                textStyle: {
                    color: string;
                };
                formatter: (params: any, ticket: string, callback: Function) => any;
            };
            label: {
                show: boolean;
                color: string;
                fontSize: number;
            };
            itemStyle: {
                areaColor: string | {
                    image: any;
                    repeat: "repeat" | "no-repeat" | "repeat-x" | "repeat-y";
                };
                borderColor: string;
                borderWidth: number;
                shadowColor: string;
                shadowBlur: number;
                shadowOffsetX: number;
                shadowOffsetY: number;
            };
            emphasis: {
                disabled: boolean;
                label: {
                    color: string;
                };
                itemStyle: {
                    areaColor: string;
                    borderColor: string;
                };
            };
            regions: any[];
        };
        series: {
            type: string;
            coordinateSystem: string;
            itemStyle: {
                color: string;
            };
            symbol: string;
            symbolSize: number[];
            label: {
                show: boolean;
                fontSize: number;
                formatter: string;
                color: string;
            };
            tooltip: {
                show: boolean;
                textStyle: {
                    color: string;
                };
            };
            data: any;
        }[];
    }>;
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    isLoadedData: import("vue").Ref<boolean>;
    geoBackgroundImageRef: import("vue").Ref<any>;
    myGeoBackgroundImage: import("vue").ComputedRef<string>;
    mapLegendStyle: import("vue").ComputedRef<any>;
    legendContainerStyle: import("vue").ComputedRef<any>;
    mapLegendList: import("vue").ComputedRef<any[]>;
    hiddenLegendKey: import("vue").Ref<any[]>;
    customClick: () => void;
    onMouseOver: (data?: any) => void;
    handleToggleVisible: (key: string) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    mapJson: {
        type?: import("vue").PropType<{
            name: string;
            value: string;
            path: string;
        }>;
        default?: {
            name: string;
            value: string;
            path: string;
        };
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    backgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundImageRepeat: {
        type?: import("vue").PropType<"repeat" | "no-repeat" | "repeat-x" | "repeat-y">;
        default?: "repeat" | "no-repeat" | "repeat-x" | "repeat-y";
    };
    symbolImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    symbolWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    symbolHeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoZoom: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoRoam: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoCenter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoBackgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoBackgroundImageRepeat: {
        type?: import("vue").PropType<"repeat" | "no-repeat" | "repeat-x" | "repeat-y">;
        default?: "repeat" | "no-repeat" | "repeat-x" | "repeat-y";
    };
    geoLabelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoLabelFontSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleAreaColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleBorderWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoItemStyleShadowOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoItemStyleShadowBlur: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    geoEmphasisDisabled: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    geoEmphasisLabelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoEmphasisItemStyleAreaColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    geoEmphasisItemStyleBorderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelFontSize: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    labelFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    labelShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    labelColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    tooltipTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    tooltipRequestData: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    tooltipBackgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    areaStyleKeyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    mapAreaStyleConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    legendShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTextStyleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendLeft: {
        type?: import("vue").PropType<"left" | "right">;
        default?: "left" | "right";
    };
    legendTop: {
        type?: import("vue").PropType<"top" | "bottom">;
        default?: "top" | "bottom";
    };
    legendOrient: {
        type?: import("vue").PropType<"vertical" | "horizontal">;
        default?: "vertical" | "horizontal";
    };
    mapLegendType: {
        type?: import("vue").PropType<"circle" | "rect">;
        default?: "circle" | "rect";
    };
    legendTextShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    legendTitle: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTitleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendTitleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendFrontText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendAfterText: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    legendBoxShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowSource?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>;
export default _sfc_main;
